stages:
  - build
  - update

.docker:
  image: docker:stable
  services:
    - docker:dind
  variables:
    DOCKER_HOST: tcp://docker:2375
    DOCKER_DRIVER: overlay2
  before_script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN registry.gitlab.com

build:
  extends: .docker
  stage: build
  script:
    - docker build -t registry.gitlab.com/eyeo/websites/docker/eyeo-python2.7-cms:latest eyeo-python2.7-cms
    - docker build -t registry.gitlab.com/eyeo/websites/docker/adblockinc-cms-202208.1:latest adblockinc-cms-202208.1
    - docker build -t registry.gitlab.com/eyeo/websites/docker/python-chromedriver:3.6-xvfb-selenium python-chromedriver

update:
  extends: .docker
  stage: update
  script:
    - docker build -t registry.gitlab.com/eyeo/websites/docker/eyeo-python2.7-cms:latest eyeo-python2.7-cms
    - docker push registry.gitlab.com/eyeo/websites/docker/eyeo-python2.7-cms:latest
    - docker build -t registry.gitlab.com/eyeo/websites/docker/adblockinc-cms-202208.1:latest adblockinc-cms-202208.1
    - docker push registry.gitlab.com/eyeo/websites/docker/adblockinc-cms-202208.1:latest
    - docker build -t registry.gitlab.com/eyeo/websites/docker/python-chromedriver:3.6-xvfb-selenium python-chromedriver
    - docker push registry.gitlab.com/eyeo/websites/docker/python-chromedriver:3.6-xvfb-selenium
  only:
    - master
